---
title: mask-border-outset
slug: Web/CSS/mask-border-outset
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-border-outset</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies the distance by which an element's <a href="/en-US/docs/Web/CSS/mask-border">mask border</a> is set out from its border box.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; value */
mask-border-outset: 1rem;

/* &lt;number&gt; value */
mask-border-outset: 1.5;

/* vertical | horizontal */
mask-border-outset: 1 1.2;

/* top | horizontal | bottom */
mask-border-outset: 30px 2 45px;

/* top | right | bottom | left */
mask-border-outset: 7px 12px 14px 5px;

/* Global values */
mask-border-outset: inherit;
mask-border-outset: initial;
mask-border-outset: unset;
</pre>

<p>The <code>mask-border-outset</code> property may be specified as one, two, three, or four values. Each value is a {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;number&gt;")}}. Negative values are invalid.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same outset to <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first outset applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
 <li>When <strong>three</strong> values are specified, the first outset applies to the <strong>top</strong>, the second to the <strong>left and right</strong>, the third to the <strong>bottom</strong>.</li>
 <li>When <strong>four</strong> values are specified, the outsets apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>The size of the mask border outset as a dimension.</dd>
 <dt>{{cssxref("&lt;number&gt;")}}</dt>
 <dd>The size of the mask border outset as a multiple of the corresponding {{cssxref("border-width")}}.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't appear to be supported anywhere yet. When it eventually starts to be supported, it will serve to move the mask away from the inner edge of the element's border box — you can use it to make the mask start from part way across the border, rather than the inside of it.</p>

<pre class="brush: css notranslate">mask-border-outset: 1rem;</pre>

<p>Chromium-based browsers support an outdated version of this property — <code>mask-box-image-outset</code> — with a prefix:</p>

<pre class="brush: css notranslate">-webkit-mask-box-image-outset: 1rem;</pre>

<div class="notecard note">
<p><strong>Note</strong>: The <code><a href="/en-US/docs/Web/CSS/mask-border">mask-border</a></code> page features a working example (using the out-of-date prefixed border mask properties supported in Chromium), so you can get an idea of the effect.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-outset", "mask-border-outset")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-outset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-mode")}}</li>
  <li>{{cssxref("mask-border-repeat")}}</li>
  <li>{{cssxref("mask-border-source")}}</li>
  <li>{{cssxref("mask-border-width")}}</li>
</ul>
